Settings/Settings Operations/Advanced Settings Operations
DELETEAdvanced Settings OperationsSince 3.4.0SynchronousAuth Required
DeleteResourceConfig
DeleteResourceConfig
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
categoryStringRequiredThe setting category.
nameStringRequiredThe setting name.
resourceUuidStringRequiredThe resource UUID.
Body Fields
deleteModeStringOptional. The delete mode.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}
/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/resource-configurations/{category}/{name}/{resourceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
